# Generated by Django 4.2.13 on 2024-08-29 16:33

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):
    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("api", "0011_remove_chatbot_active_chat_chat_created_at_and_more"),
    ]

    operations = [
        migrations.CreateModel(
            name="Workspace",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                        unique=True,
                    ),
                ),
                ("name", models.CharField(max_length=255)),
                ("properties", models.JSONField(default=dict)),
                (
                    "owner",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="TeamMember",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "verification_status",
                    models.CharField(
                        choices=[
                            ("V", "Verified"),
                            ("U", "Unverified"),
                            ("E", "Expired"),
                        ],
                        default="U",
                        help_text="The status of a potential team member's user account activation",
                        max_length=1,
                    ),
                ),
                (
                    "role",
                    models.CharField(
                        choices=[("V", "Viewer"), ("E", "Editor"), ("O", "Owner")],
                        default="V",
                        help_text="The permission level for a team member in a workspace",
                        max_length=1,
                    ),
                ),
                ("properties", models.JSONField(default=dict)),
                (
                    "delvin_user",
                    models.ForeignKey(
                        blank=True,
                        help_text="A Delvin user account",
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "workspace",
                    models.ForeignKey(
                        help_text="A Delvin workspace",
                        on_delete=django.db.models.deletion.CASCADE,
                        to="api.workspace",
                    ),
                ),
            ],
        ),
        migrations.AddField(
            model_name="project",
            name="workspace",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="api.workspace",
            ),
        ),
    ]
